{Resolved} Error upgrading Zorin 16.3 to 17

Bonjour, je ne parle pas anglais mais je vais traduire avec google translate.

Mon PC est un dual boot Zorin 16.3 et Windows 11.
Je souhaite faire la migration de Zorin 16.3 vers Zorin 17, mais je rencontre une erreur.

Hello, I don't speak English but I will translate with Google translate.

My PC is a dual boot Zorin 16.3 and Windows 11.
I want to migrate from Zorin 16.3 to Zorin 17, but I encounter an error:

[CHECKING] Started
[CHECKING:Validating Upgrade Attempt] Started
[CHECKING:Validating Upgrade Attempt] Completed
[CHECKING:Checking Filesystem] Started
[CHECKING:Checking Filesystem] Completed
[CHECKING:Restarting Apt] Started
[CHECKING:Restarting Apt] Completed
[CHECKING:Simulating Flatpak Transaction] Started
[CHECKING:Simulating Flatpak Transaction] Completed
[CHECKING:Processing Apt Repos] Started
[CHECKING:Processing Apt Repos] Completed
[CHECKING:Updating Apt Repos] Started
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Retrying
[CHECKING:Updating Apt Repos] Fatal Error: { error-repo-download-failed: W:GPG error: Index of /repos/edge/ stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EB3E94ADBE1229CF, E:The repository 'Index of /repos/edge/ stable InRelease' is not signed. }
[CHECKING:Updating Apt Repos] Failed
[CHECKING] Failed
[CHECKING:Restoring System] Started
[CHECKING:Restoring System] Error: { error-repo-download-failed: W:GPG error: Index of /repos/edge/ stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EB3E94ADBE1229CF, E:The repository 'Index of /repos/edge/ stable InRelease' is not signed. }
[CHECKING:Restoring System] Completed

Merci de votre aide .
Thanks for your help.

The Microsoft Edge Browser for Jammy repository needs a GPG key.
If this was me, I would remove MS Edge completely, then run the upgrader. Once it successfully completes, follow instructions for Ubuntu 22.04 / Jammy to install MS Edge including adding the GPG key for the Jammy repository.


Le navigateur Microsoft Edge pour le référentiel Jammy nécessite une clé GPG.
Si c'était moi, je supprimerais complètement MS Edge, puis exécuterais le programme de mise à niveau. Une fois terminé, suivez les instructions pour Ubuntu 22.04 / Jammy pour installer MS Edge, y compris l'ajout de la clé GPG pour le référentiel Jammy.

Bizarre, je n'ai pas installer MS Edge sur Zorin, je ne le trouve pas les logiciels.

Strange, I didn't install MS Edge on Zorin, I can't find the software.

In that case, it is an easy matter of removing the Edge repository and testing the upgrader.
Check Software & Updates > Other Software for the MS Edge repository or look in /etc/apt/sources.list.d folder for it.
You can elevate to root;

sudo -i

Launch File manager

nautilus

Then navigate "Other locations" > Computer > /etc/apt/sources.list.d so that you have read/ write permissions to delete the repository .save and .save.list for Microsoft Edge Browser.

merci :slight_smile:
thank